EdgeInterface Class Reference

`#include <componentInterfaces.h>`

## Public Member Functions

| EdgeInterface ()
| EdgeInterface (Level const &level)
| ~EdgeInterface ()
void | SetIndex (int edgeIndex)
int | GetNumFaces () const
float | GetSharpness () const
void | GetChildSharpnesses (Sdc::Crease const &, float s[2]) const
void | GetNumVerticesPerFace (int vertsPerFace[]) const

## Detailed Description

Definition at line 73 of file componentInterfaces.h.

## Constructor & Destructor Documentation

## EdgeInterface() [1/2]

EdgeInterface | ( |  | ) |

inline

Definition at line 75 of file componentInterfaces.h.

## EdgeInterface() [2/2]

EdgeInterface | ( | Level const & | level | ) |

inline

Definition at line 76 of file componentInterfaces.h.

## ~EdgeInterface()

~EdgeInterface | ( |  | ) |

inline

Definition at line 77 of file componentInterfaces.h.

## Member Function Documentation

## GetChildSharpnesses()

void GetChildSharpnesses | ( | Sdc::Crease const & | ,
|  | float | s[2]
| ) |  | const

inline

Definition at line 85 of file componentInterfaces.h.

## GetNumFaces()

int GetNumFaces | ( |  | ) | const

inline

Definition at line 82 of file componentInterfaces.h.

## GetNumVerticesPerFace()

void GetNumVerticesPerFace | ( | int | vertsPerFace[] | ) | const

inline

Definition at line 90 of file componentInterfaces.h.

## GetSharpness()

float GetSharpness | ( |  | ) | const

inline

Definition at line 83 of file componentInterfaces.h.

## SetIndex()

void SetIndex | ( | int | edgeIndex | ) |

inline

Definition at line 79 of file componentInterfaces.h.

The documentation for this class was generated from the following file:

- opensubdiv/vtr/componentInterfaces.h